//Copyright © 2015-2016, Verizon and/or its Licensors. All rights reserved.

#import <UIKit/UIKit.h>

/*!
 * OperationSpinner is a UIActivityIndicatorView which closely works with more than one network operations to hide and unhide the spinner. OperationSpinner has some methods which keeps the spinner spinning until all operations holding the spinner has finished executing.
 */
@interface OperationSpinner : UIActivityIndicatorView

/*!
 * Increment the visbilty count of the spinner for this operaion.
 * @param operationID the unique ID of the operation
 */
- (void)addOperation:(NSString *)operationID;

/*!
 * Decrement the visbilty count of the spinner for this operaion.
 * @param operationID the unique ID of the operation
 */
- (void)removeOperation:(NSString *)operationID;

/*!
 * Returns the number of ongoing operations
 */
- (NSInteger)numberOfOperations;

@end
