//Copyright © 2015-2016, Verizon and/or its Licensors. All rights reserved.

#import "PCFile.h"
#import <CoreData/CoreData.h>

/*!
 * This class stores the metadata information of a photo files.
 */

@interface PCPhoto : PCFile

/*!
 * Maps to the file's EXIF Date and Time tag.
 */
@property (nonatomic, readonly, strong) NSDate *capturedDate;

/*!
 * The height of an image in pixels.
 */
@property (nonatomic, readonly, strong) NSNumber *height;

/*!
 * The width of an image in pixels.
 */
@property (nonatomic, readonly, strong) NSNumber *width;

/*!
 * Maps to the EXIF GPS Latitude tag for image files.
 */
@property (nonatomic, readonly, strong) NSNumber *geoLatitude;

/*!
 * Maps to the EXIF GPS Longitude tag for image files.
 */
@property (nonatomic, readonly, strong) NSNumber *geoLongitude;

/*!
 * Call this methods to create a PCPhoto using a managedObjectID. managedObjectID is mapped with coredata object and a PCPhoto is created out of the values copied from the coredata object.
 */
- (id)initWithDBResourceID:(NSManagedObjectID *)managedObjectID;



@end
